# Set Podcast Duration

This snippet recreates the [⏱️ Set Podcast Duration](/quick-start/podcasts/set-duration.md) recipe using PHP. Review the [PHP guide](https://github.com/miguelpieras/autocontentapi-docs/blob/main/code-samples/php.md) for environment setup before running it.

```php
<?php

$token = getenv('AUTOCONTENT_TOKEN') ?: 'YOUR_API_TOKEN';
$endpoint = 'https://api.autocontentapi.com/content/Create';

$payload = [
  'outputType' => 'audio',
  'resources' => [
    [
      'type' => 'youtube',
      'content' => 'https://www.youtube.com/watch?v=dQw4w9WgXcQ'
    ]
  ],
  'text' => 'Summarize the key arguments in plain language.',
  'duration' => 'short'
];

$body = json_encode($payload);
if ($body === false) {
    fwrite(STDERR, 'Failed to encode payload: ' . json_last_error_msg() . "\n");
    exit(1);
}

$ch = curl_init($endpoint);
curl_setopt_array($ch, [
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
        'Accept: application/json',
    ],
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $body,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = curl_exec($ch);
if ($response === false) {
    fwrite(STDERR, 'Request failed: ' . curl_error($ch) . "\n");
    curl_close($ch);
    exit(1);
}

$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);

if ($status >= 400) {
    fwrite(STDERR, "HTTP $status\n$response\n");
    exit(1);
}

echo "Request accepted:\n" . $response . "\n";
```

Replace `YOUR_API_TOKEN` (or set the `AUTOCONTENT_TOKEN` environment variable) before running the request.

**See also**

* [Scenario overview](/quick-start/podcasts/set-duration.md)
* [PHP guide](https://github.com/miguelpieras/autocontentapi-docs/blob/main/code-samples/php.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autocontentapi.com/code-samples/podcasts/php/set-duration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
